Package org.eclipse.emf.cdo.common.id

# Enum Class CDOID.Type

java.lang.Object
java.lang.Enum<CDOID.Type>
org.eclipse.emf.cdo.common.id.CDOID.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOID.Type>`, `Constable`

Enclosing interface:
  CDOID

public static enum CDOID.Type extends Enum<CDOID.Type>
Enumerates the possible types of CDO `IDs`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DANGLING_OBJECT`
`EXTERNAL_OBJECT`
`EXTERNAL_TEMP_OBJECT`
`NIL`
`NULL`
`OBJECT`
`TEMP_OBJECT`

## Method Summary

Modifier and Type
Method
Description
`char`
`getID()`
`static Enum<?>`
`getLiteral(char id)`
`static CDOID.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOID.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NULL

public static final CDOID.Type NULL

### NIL

public static final CDOID.Type NIL

Since:
  4.7

### OBJECT

public static final CDOID.Type OBJECT

### EXTERNAL_OBJECT

public static final CDOID.Type EXTERNAL_OBJECT

Since:
  2.0

### DANGLING_OBJECT

public static final CDOID.Type DANGLING_OBJECT

Since:
  3.0

### EXTERNAL_TEMP_OBJECT

public static final CDOID.Type EXTERNAL_TEMP_OBJECT

Since:
  2.0

### TEMP_OBJECT

public static final CDOID.Type TEMP_OBJECT

## Method Details

### values

public static CDOID.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOID.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getLiteral

public static Enum<?> getLiteral(char id)

Since:
  4.0

### getID

public char getID()

Since:
  4.0